Resource (VRE Definition Portlet 5.1.0-4.6.1-144471 API)
Date: 2017-09-07

org.gcube.portlets.admin.vredefinition.shared

## Class Resource

- java.lang.Object
- - org.gcube.portlets.admin.vredefinition.shared.Resource

- All Implemented Interfaces:
    Serializable

      public class Resource
      extends Object
      implements Serializable

  A resource class element.
  Author:
    Costantino Perciante at ISTI-CNR (costantino.perciante@isti.cnr.it)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Resource()` needed for serialization
    `Resource(String id, String name, String description, boolean selected)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()`
    `String` | `getId()`
    `String` | `getName()`
    `boolean` | `isSelected()`
    `void` | `setDescription(String description)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setSelected(boolean selected)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Resource

          public Resource()

      needed for serialization

    - #### Resource

          public Resource(String id,
                          String name,
                          String description,
                          boolean selected)

      Parameters:
        `id` -
        `name` -
        `description` -
        `selected` -

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### isSelected

          public boolean isSelected()

    - #### setSelected

          public void setSelected(boolean selected)

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2017. All Rights Reserved.